﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Levier : MonoBehaviour
{

    public GameObject plateform;
    bool IsUp;

    Vector3 startPosition;
    Vector3 DistanceToReach;
    float timeToReachTarget;

    // Use this for initialization
    void Start()
    {
        IsUp = false;
        startPosition = plateform.transform.position;
        timeToReachTarget = 1.5f;
        DistanceToReach = new Vector3(0f, 5f, 0f);
    }

    // Update is called once per frame
    void Update()
    {
        if (IsUp)
        {
            StartCoroutine(MoveToPosition(plateform.transform, startPosition - DistanceToReach, timeToReachTarget));
        }
        if (!IsUp)
        {
            StartCoroutine(MoveToPosition2(plateform.transform, startPosition, timeToReachTarget));
        }
    }

    private void OnTriggerStay(Collider other)
    {
        if (other.gameObject.tag == "PlayerOne" && Input.GetKeyDown(KeyCode.E) )
        {
            Debug.Log("Ca marche");

            if (IsUp)
            {
                IsUp = false;
            }
            else if (!IsUp)
            {
                IsUp = true;
            }
        }
    }

    private IEnumerator MoveToPosition(Transform transform, Vector3 position, float timeToMove)
    {
        var currentPos = transform.position;
        var t = 0f;
        while (t < 1)
        {
            t += Time.deltaTime / timeToMove;
            transform.position = Vector3.Lerp(currentPos, position, t);
            yield return null;
        }
        IsUp = false;
    }

    private IEnumerator MoveToPosition2(Transform transform, Vector3 position, float timeToMove)
    {
        var currentPos = transform.position;
        var t = 0f;
        while (t < 1)
        {
            t += Time.deltaTime / timeToMove;
            transform.position = Vector3.Lerp(currentPos, position, t);
            yield return null;
        }
        IsUp = true;
    }

}
