﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerOneMoovement : MonoBehaviour {

    public GameObject PlayerOne;
    bool BoolCantMoove;
    bool IsGrounded;


    // Use this for initialization
    void Start () {
        BoolCantMoove = false;
        IsGrounded = false;
    }
	
	// Update is called once per frame
    void Update()
    {

        if (!BoolCantMoove)
        {
            var x = Input.GetAxis("Horizontal-PlayerOne") * Time.deltaTime * 150.0f;
            var z = Input.GetAxis("Vertical-PlayerOne") * Time.deltaTime * 3.0f;

            transform.Rotate(0, x, 0);
            transform.Translate(0, 0, z);
        }     

        if (Input.GetKeyDown(KeyCode.E))
        {
            BoolCantMoove = true;
            Invoke("CanMoove", 3);
        }

        jump();

    }

    void CanMoove()
    {
        BoolCantMoove = false;
    }

    public void CantMoove()
    {
        BoolCantMoove = true;
    }


    void jump()
    {
        var up = transform.TransformDirection(Vector3.up);

        RaycastHit hit;

        if (Physics.Raycast(transform.position, -up, out hit, 0.5f))
        {
            IsGrounded = true;
        }
        else
        {
            IsGrounded = false;
        }

        if (Input.GetKeyDown(KeyCode.Space) && IsGrounded && !BoolCantMoove)
        {
            PlayerOne.GetComponent<Rigidbody>().velocity = new Vector3(0, 5, 0);
            IsGrounded = false;
        }
    }
}
