﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerOneAnim : MonoBehaviour {

    public GameObject PlayerOne;
    Animator PlayerOneAnimator;
    Rigidbody rb;

    // Use this for initialization
    void Start () 
    {
        PlayerOneAnimator = PlayerOne.GetComponent<Animator>();
        rb = PlayerOne.GetComponent<Rigidbody>();
    }
	
	// Update is called once per frame
	void Update () {

        Vector3 vel = rb.velocity;
        if (vel.magnitude > 0)
        {
            PlayerOneAnimator.SetBool("IsRunning", true);
        }
        else
        {
            PlayerOneAnimator.SetBool("IsRunning", false);
        }

        if (Input.GetKeyDown(KeyCode.E))
        {
            PlayerOneAnimator.SetBool("Attack", true);
        }
        if (Input.GetKeyUp(KeyCode.E))
        {
            PlayerOneAnimator.SetBool("Attack", false);
        }
    }
}
