using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerTwoMoovement : MonoBehaviour {

    public GameObject PlayerTwo;
    bool IsGrounded;

    // Use this for initialization
    void Start()
    {
        IsGrounded = false;
    }

    // Update is called once per frame
    void Update()
    {

        var x = Input.GetAxis("Horizontal-PlayerTwo") * Time.deltaTime * 150.0f;
        var z = Input.GetAxis("Vertical-PlayerTwo") * Time.deltaTime * 3.0f;

        transform.Rotate(0, x, 0);
        transform.Translate(0, 0, z);

        var up = transform.TransformDirection(Vector3.up);

        RaycastHit hit;

        if (Physics.Raycast(transform.position, -up, out hit, 0.5f))
        {
            IsGrounded = true;
        }
        else
        {
            IsGrounded = false;
        }

        if (Input.GetKeyDown(KeyCode.O) && IsGrounded)
        {
            PlayerTwo.GetComponent<Rigidbody>().velocity = new Vector3(0, 5, 0);
            IsGrounded = false;
        }

    }
}
